package com.example.demo;

import com.example.demo.register.Register;
import com.example.demo.tools.test.Test;
import com.example.demo.utils.ScanFileTool;

import java.net.URISyntaxException;

public class DemoApplication {

    public static void main(String[] args) throws URISyntaxException {

        // 根据包路径扫描含有自定义注解的对象
        ScanFileTool t = new ScanFileTool();

        // 注册并绑定
        boolean b = Register.registAndAutoBind(t);

        // 类似SpringUtils.getBean
        Test test = Register.getBean(Test.class);

        // 调用对象方法
        test.printHamerName();

    }

}
